from setuptools import setup, find_packages
import QueryCombinedLogFormat as package

setup(
    name='QueryCombinedLogFormat',
    version=package.__version__,
    py_modules=['QueryCombinedLogFormat'],
    packages=find_packages(include=[]),
    install_requires=[],
    scripts=[],
    author="Maurice Lambert",
    author_email="mauricelambert434@gmail.com",
    maintainer="Maurice Lambert",
    maintainer_email="mauricelambert434@gmail.com",
    description='This script extracts, filters and parses combined log format (apache and nginx default access.log format) with a easy and fast language syntax',
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/mauricelambert/QueryCombinedLogFormat",
    project_urls={
        "Github": "https://github.com/mauricelambert/QueryCombinedLogFormat",
        "Documentation": "https://mauricelambert.github.io/info/python/security/QueryCombinedLogFormat.html",
        "Python Executable": "https://mauricelambert.github.io/info/python/security/QueryCombinedLogFormat.pyz",
        "Windows Executable": "https://mauricelambert.github.io/info/python/security/QueryCombinedLogFormat.exe",
    },
    download_url="https://mauricelambert.github.io/info/python/security/QueryCombinedLogFormat.pyz",
    include_package_data=True,
    classifiers=[
        "Topic :: System",
        "Topic :: Security",
        "Environment :: Console",
        "Topic :: System :: Shells",
        'Operating System :: POSIX',
        "Natural Language :: English",
        "Topic :: System :: Networking",
        "Topic :: Internet :: WWW/HTTP",
        "Programming Language :: Python",
        "Intended Audience :: Developers",
        "Topic :: System :: System Shells",
        'Operating System :: MacOS :: MacOS X',
        "Programming Language :: Python :: 3.8",
        'Operating System :: Microsoft :: Windows',
        "Topic :: System :: Systems Administration",
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
    ],
    keywords=['parser', 'query', 'syntax', 'language', 'regex', 'incident-response', 'web', 'log', 'access', 'access-log', 'apache', 'nginx', 'clf', 'combined-log-format', 'dfir', 'forensic', 'investigation', 'filtering'],
    platforms=['Windows', 'Linux', "MacOS"],
    license="GPL-3.0 License",
    entry_points = {
        'console_scripts': [
            'QueryCombinedLogFormat = QueryCombinedLogFormat:main'
        ],
    },
    python_requires='>=3.8',
)